Subject: Re: [cdc_ncm] guidance and help refactoring cdc_ncm

From: Oliver Neukum <oneukum-IBi9RG/[email-masked]>
Date: Mon, 01 Jun 2015 09:48:26 +0200

On Mon, 2015-06-01 at 08:53 +0200, Enrico Mioso wrote:

> A 32-bit version of the driver (talking 32-bit NCM) is here:
> http://www.gstorm.eu/cdc_ncm.c
> I modified the original driver with the help of a very talented friend.
> It works: but there seem to be no real reasons to implement this properly. We 
> did this in a consistent effort to understand what was wrong, and here it is.

Well, you are really talking about two different things here.
Do we ever fail because we only do 16 bit as opposed to 32 bit?
Your 32 bit driver looks good, but it raises the question of what to do
if this test:

        if (le16_to_cpu(ctx->ncm_parm.bmNtbFormatsSupported) &
                                                USB_CDC_NCM_NTB32_SUPPORTED) {

fails. Otherwise it looks ready for merging.

	Regards
		Oliver

--
To unsubscribe from this list: send the line "unsubscribe linux-usb" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html